
version: '3.6'

services:

  engine-fire:
    image: 313.co.kr:5550/313devgrp/java-service-tree-framework-engine-fire:25.12.53
    environment:
      SPRING_PROFILES_ACTIVE: live # 여기에 원하는 프로파일을 설정
      TZ: Asia/Seoul
    ports:
      - 33333:33333
    volumes:
      - /nfs/allinone/app/engine-fire:/mnt
    deploy:
      mode: replicated
      replicas: 1
    networks:
      - allinoneNetwork
    logging:
      driver: fluentd
      options:
        fluentd-address: 192.168.10.186:24224
        fluentd-retry-wait: "60s"
        fluentd-max-retries: "30"
        tag: enginefire

networks:
  allinoneNetwork:
    driver: overlay
    attachable: true
